> This page is for version v2 (default).
> For other versions, use one of these documentation indexes:
> - v2 (default): https://docs.agentverse.ai/v-2/llms.txt
> - v1: https://docs.agentverse.ai/v-1/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.agentverse.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.agentverse.ai/_mcp/server.

# Get Agent Mailbox Message

GET https://agentverse.ai/v2/agents/{address}/mailbox/{uuid}

Retrieve a specific message from an agent's mailbox by uuid.

Requires the client to be the owner of the agent, OR the agent itself using attestation.

This endpoint also increments bytes_transferred for the user and agent,
and validates transfer quotas.

Reference: https://docs.agentverse.ai/api-reference/agents/get-agent-mailbox-message

## Request

### Path parameters

- `address` (string, required)
- `uuid` (string, required)

## Response

### 200

Successful Response

- `envelope` (Envelope, required) — Represents an envelope for message communication between agents. Attributes: version (int): The envelope version. sender (str): The sender's address. target (str): The target's address. session (UUID4): The session UUID that persists for back-and-forth dialogues between agents. schema_digest (str): The schema digest for the enclosed message. protocol_digest (str | None): The digest of the protocol associated with the message (optional). payload (str | None): The encoded message payload of the envelope (optional). expires (int | None): The expiration timestamp (optional). nonce (int | None): The nonce value (optional). signature (str | None): The envelope signature (optional).
- `expires_at` (string, required)
- `uuid` (string, optional)
- `received_at` (string, optional)

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### Envelope

Represents an envelope for message communication between agents. Attributes: version (int): The envelope version. sender (str): The sender's address. target (str): The target's address. session (UUID4): The session UUID that persists for back-and-forth dialogues between agents. schema_digest (str): The schema digest for the enclosed message. protocol_digest (str | None): The digest of the protocol associated with the message (optional). payload (str | None): The encoded message payload of the envelope (optional). expires (int | None): The expiration timestamp (optional). nonce (int | None): The nonce value (optional). signature (str | None): The envelope signature (optional).

- `version` (integer, required)
- `sender` (string, required)
- `target` (string, required)
- `session` (string, required)
- `schema_digest` (string, required)
- `protocol_digest` (string, optional)
- `payload` (string, optional)
- `expires` (integer, optional)
- `nonce` (integer, optional)
- `signature` (string, optional)

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### ValidationErrorLocItems

## Examples

**Response**

```json
{
  "envelope": {
    "version": 42,
    "sender": "foo",
    "target": "foo",
    "session": "foo",
    "schema_digest": "foo",
    "protocol_digest": "foo",
    "payload": "foo",
    "expires": 42,
    "nonce": 42,
    "signature": "foo"
  },
  "expires_at": "foo",
  "uuid": "foo",
  "received_at": "foo"
}
```

**SDK Code**

```python getAgentMailboxMessageExample
import requests

url = "https://agentverse.ai/v2/agents/address/mailbox/uuid"

response = requests.get(url)

print(response.json())
```

```javascript getAgentMailboxMessageExample
const url = 'https://agentverse.ai/v2/agents/address/mailbox/uuid';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go getAgentMailboxMessageExample
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://agentverse.ai/v2/agents/address/mailbox/uuid"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby getAgentMailboxMessageExample
require 'uri'
require 'net/http'

url = URI("https://agentverse.ai/v2/agents/address/mailbox/uuid")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java getAgentMailboxMessageExample
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://agentverse.ai/v2/agents/address/mailbox/uuid")
  .asString();
```

```php getAgentMailboxMessageExample
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://agentverse.ai/v2/agents/address/mailbox/uuid');

echo $response->getBody();
```

```csharp getAgentMailboxMessageExample
using RestSharp;

var client = new RestClient("https://agentverse.ai/v2/agents/address/mailbox/uuid");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift getAgentMailboxMessageExample
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://agentverse.ai/v2/agents/address/mailbox/uuid")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```